<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$gid=check($gid);
$rand = mt_rand(100,999); 

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo'<img src="../images/img/menu.gif" alt=""> <b>Управление галереей</b><br><br>';

##########################################################################
##                  Блок УДАЛЕНИЯ выбранного изображения   
##########################################################################
if($action=="del") {
if($kill!=""){
$file=file("../local/datagallery/fotobase.dat");
$count=count($file);
	
for ($b=0; $b<$count; $b++) { 
$idbase=explode("|",$file[$b]); 
if ($kill == $idbase[6]) { 
$stroka=$b; break;
}}

if($stroka!==""){
$fp=fopen("../local/datagallery/fotobase.dat","w");
flock ($fp,LOCK_EX); 
for ($i=0;$i< sizeof($file);$i++) { if ($i==$stroka) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

unlink ("../local/datagallery/$kill");
unlink ("../local/datagallery/$kill.dat");
}}

header ("Location: gallery.php?start=$start&isset=delfoto".SID);
}


##########################################################################
##                  Блок редактирования изображения   
##########################################################################
if ($action=="add") { 
if($edit!=""){
if (strlen(utf_to_win($name))<50 && strlen(utf_to_win(trim($name))) > 4) {
if (strlen(utf_to_win($msg))<750 && strlen(utf_to_win(trim($msg))) > 10) {
	
$file=file("../local/datagallery/fotobase.dat");
$count=count($file);
	
for ($b=0; $b<$count; $b++) { 
$idbase=explode("|",$file[$b]); 
if ($edit == $idbase[6]) { 
$stroka=$b; break;
}}	

if($stroka!==""){
	
$file=file("../local/datagallery/fotobase.dat");	
$line=explode("|",$file[$stroka]); 	
	
$msg=check($msg);
$name=check($name);

$text=$msg.'|'.$name.'|'.$line[2].'||'.$line[4].'||'.$line[6].'|'.$line[7].'|'.$line[8].'|'.$line[9].'|';
$text=no_br($text);

$fp=fopen("../local/datagallery/fotobase.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {
if ($stroka!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);

header ("Location: gallery.php?start=$start&isset=editfoto".SID);
}
}else{echo '<b>Слишком длинное или короткое описание (Необходимо от 10 до 750 символов)</b><br>';}	
}else{echo '<b>Слишком длинное или короткое название (Необходимо от 5 до 50 символов)</b><br>';}
}else{echo '<b>Ошибка, такой фотографии не существует</b><br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="gallery.php?start='.$start.'&amp;'.SID.'">Вернуться</a>'; 

}

##########################################################################
##                 Вывод фотографий на текущей странице  
##########################################################################
if(!isset($action)){

if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}
echo '<a href="gallery.php?start='.$start.'&amp;rand='.$rand.'&amp;'.SID.'">Обновить</a> | ';
echo '<a href="../gallery/index.php?start='.$start.'&amp;'.SID.'">Обзор</a>';

$lines = file(BASEDIR."local/datagallery/fotobase.dat");
$lines=array_reverse($lines);
$total = count($lines);
if (file_exists(BASEDIR."local/datagallery/fotobase.dat") && $total>0) {

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_fotolist){ $end = $total; }
else {$end = $start + $config_fotolist; }
for ($i = $start; $i < $end; $i++){	
	
$dt = explode("|", $lines[$i]);	

$totalkomm=0;
if (file_exists("../local/datagallery/$dt[6].dat")){
$file = file("../local/datagallery/$dt[6].dat");
$totalkomm = count($file);}	


echo '<div class=b><img src="../images/img/forums.gif" alt=""> ';
echo '<b>'.$dt[1].'</b> ('.$dt[7].' Kb) ';

echo '<a href="gallery.php?action=edit&amp;start='.$start.'&amp;edit='.$dt[6].'&amp;'.SID.'">[Edit]</a> ';
echo '<a href="gallery.php?action=del&amp;start='.$start.'&amp;kill='.$dt[6].'&amp;'.SID.'">[Del]</a>';

echo '</div><div>';


$ext = strtolower(substr($dt[6], strrpos($dt[6], '.') + 1));

if($dt[8]>$config_previewsize || $dt[9]>$config_previewsize){
echo'<a href="../gallery/gallery.php?image='.$dt[6].'"><img src="../gallery/resize.php?act='.$ext.'&amp;gdir=local&amp;gpoddir=datagallery&amp;gname='.$dt[6].'&amp;maxsize='.$config_previewsize.'" alt=""></a><br>';
}else{
echo'<a href="../gallery/gallery.php?image='.$dt[6].'"><img src="../gallery/gallery.php?image='.$dt[6].'" alt=""></a><br>';
}

echo 'Добавлено: <a href="../pages/anketa.php?uz='.$dt[2].'&amp;'.SID.'">'.$dt[2].'</a> ('.date_fixed($dt[4]).')<br>'; 
echo '<a href="../gallery/index.php?action=komm&amp;gid='.$dt[6].'&amp;'.SID.'">Комментарии</a> ('.(int)$totalkomm.')';
echo '</div>';
}
echo'<hr>'; 
if ($start != 0) {echo '<a href="gallery.php?start='.($start - $config_fotolist).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_fotolist) {echo ' <a href="gallery.php?start='.($start + $config_fotolist).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}

if($total>0){
$ba=ceil($total/$config_fotolist);
$ba2=floor($total/$config_fotolist)*$config_fotolist;

echo '<br><hr>Страницы:';
$asd=$start-($config_fotolist*4);
$asd2=$start+($config_fotolist*5);

if($asd<$total && $asd>0){echo ' <a href="gallery.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_fotolist);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
} else {
echo ' <a href="gallery.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_fotolist;}
if($asd2<$total){echo ' ... <a href="gallery.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';
}
}
}else{echo'<br><b>Галерея еще пустая, фотографий нет!</b><br>';}

echo'<br><br>Всего фотографий: <b>'.(int)$total.'</b><br>';	
}


##########################################################################
##                 Форма редактирования фотографии  
##########################################################################
if($action=="edit") {
	
$file=file("../local/datagallery/fotobase.dat");
$count=count($file);
	
for ($b=0; $b<$count; $b++) { 
$idbase=explode("|",$file[$b]); 
if ($edit == $idbase[6]) { 
$stroka=$b; break;
}}	
	
if($stroka!==""){	
	
$lines=file("../local/datagallery/fotobase.dat");
$dt=explode("|",$lines[$stroka]);	

if($config_themes!="wml"){	
echo '<form action="gallery.php?action=add&amp;edit='.$edit.'&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo 'Название:<br><input type="text" value="'.$dt[1].'" name="name" /><br>';
echo 'Описание:<br><textarea cols="25" rows="3"  name="msg">'.$dt[0].'</textarea><br>';
echo '<input type="submit" value="Сохранить"></form><hr>';
}else{


echo'Название:<br><input type="text" value="'.$dt[1].'" name="name"/><br>';
echo'Описание:<br><input type="text" value="'.$dt[0].'" name="msg"/><br>';
echo'<anchor>Сохранить';
echo'<go href="gallery.php?action=add&amp;edit='.$edit.'&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="name" value="$(name)"/>';
echo'<postfield name="msg" value="$(msg)"/>';
echo'</go></anchor><br>--------------------<br>';

}
}else{echo '<b>Такой фотографии не существует!</b><br>';}
}


echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>



